ACN::SDT::join_refuse_data Struct Reference

4.4.3 Join Refuse & 4.4.4 Leaving More...

`#include <sdt.h>`

Inheritance diagram for ACN::SDT::join_refuse_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream) override
| join_refuse_data::iStream More...
void | oStream (PDU::Stream) const override
| join_refuse_data::oStream More...

## Public Attributes

UUID::uuid | leader
| channel leader UUID
uint16_t | number
| channel number
MID | mid
| message ID
uint32_t | reliable
| realiable number
uint8_t | reason
| NAK reason code.

## Detailed Description

4.4.3 Join Refuse & 4.4.4 Leaving

## Member Function Documentation

## iStream()

void ACN::SDT::join_refuse_data::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

join_refuse_data::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void ACN::SDT::join_refuse_data::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

join_refuse_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t ACN::SDT::join_refuse_data::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.cpp